Subject: Re: bug#12702: 24.2; Orgmode Refile complains "Not bookmark format"

From: Bastien <[email-masked]>
Date: Wed, 24 Oct 2012 17:12:35 +0200

Hi Stefan,

Stefan Monnier <[email-masked]> writes:

>> The error message makes sense ... as soon as you know where the problem
>> comes from :)
>
> Also, while it's good to signal to the user that his bookmark file is
> corrupted (and to make sure we don't overwrite it with something else),
> I don't see why that should prevent Org's Refile from working.

By default, org-refile and org-capture store bookmarks to the last
refiled/captured Org headline.  (There is org-capture-bookmark in
case users want to deactivate this for captured headlines.)

We could skip this step in Org in case the bookmark format is
corrupted, or have a more informative message that makes clear to 
the user that Org tries to store a bookmark.

What do you think?

-- 
 Bastien